Loading...
Searching...
No Matches
caf::unit_t Struct Reference

Unit is analogous to void, but can be safely returned, stored, etc. More...

`#include <unit.hpp>`

Inheritance diagram for caf::unit_t:

## Public Member Functions

constexpr | unit_t (const unit_t &) noexcept
template<class T>
constexpr | unit_t (T &&) noexcept
template<class... Ts>
constexpr unit_t | operator() (Ts &&...) const noexcept

## Static Public Member Functions

static constexpr int | compare (const unit_t &) noexcept

## Related Symbols

(Note that these are not member symbols.)
template<class Processor>
void | serialize (Processor &, const unit_t &, unsigned int)
std::string | to_string (const unit_t &)

## Detailed Description

Unit is analogous to void, but can be safely returned, stored, etc.

to enable higher-order abstraction without cluttering code with exceptions for void (which can't be stored, for example).

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/unit.hpp